MidnightBooks

List book takeable offers

Returns up to 1,000 executable offers for one book side, sorted best price first. This endpoint is not paginated and does not accept a limit or cursor.

GET
/v0/midnight/books/{market-id}/{side}/takeable-offers

Path Parameters

side?string

Book side to query (asks or bids).

Value in"asks" | "bids"
market-id?string

Market ID whose book side to read (market_id in responses).

Response Body

application/json

application/json

application/json

curl -X GET "https://api.morpho.org/v0/midnight/books/0x12590ae1aee324a005be565f3bcdd16dbf8daf7969b26c181c8b8f467dad9f67/asks/takeable-offers"
{
  "data": [
    {
      "market_id": "0x25690ae1aee324a005be565f3bcdd16dbf8daf7969b26c181c8b8f467dad9f67",
      "offer": {
        "buy": false,
        "callback": "0x0000000000000000000000000000000000000000",
        "callback_data": "0x",
        "continuous_fee_cap": "115792089237316195423570985008687907853269984665640564039457584007913129639935",
        "expiry": 1761922799,
        "group": "0x000000000000000000000000000000000000000000000000000000000008b8f4",
        "maker": "0x7b093658BE7f90B63D7c359e8f408e503c2D9401",
        "market": {
          "chain_id": 8453,
          "collaterals": [
            {
              "liquidation_cursor": "250000000000000000",
              "lltv": "860000000000000000",
              "oracle": "0x45093658BE7f90B63D7c359e8f408e503c2D9401",
              "token": "0x34Cf890dB685FC536E05652FB41f02090c3fb751"
            }
          ],
          "enter_gate": "0x0000000000000000000000000000000000000000",
          "liquidator_gate": "0x0000000000000000000000000000000000000000",
          "loan_token": "0xC9A9C45C0eB717f8b5F193Af6bAa05A1c0Ac5078",
          "maturity": 1761922799,
          "midnight": "0x2F7a3AA739ba5792Ce1b4eA046117f2C0095BCA6",
          "rcf_threshold": "0"
        },
        "max_assets": "0",
        "max_units": "369216000000000000000000",
        "ratifier": "0x0000000000000000000000000000000000000002",
        "receiver_if_maker_is_seller": "0x7b093658BE7f90B63D7c359e8f408e503c2D9401",
        "reduce_only": false,
        "start": 1761922790,
        "tick": 495
      },
      "ratifier_data": "0x000000000000000000000000000000000000000000000000000000000000001b12121212121212121212121212121212121212121212121212121212121212123434343434343434343434343434343434343434343434343434343434343434",
      "units": "369216000000000000000000"
    }
  ]
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "details": [
      {
        "field": "limit",
        "issue": "Limit must be greater than 0."
      }
    ],
    "message": "Limit must be greater than 0.",
    "request_id": "req-123"
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "details": [
      {
        "field": "limit",
        "issue": "Limit must be greater than 0."
      }
    ],
    "message": "Limit must be greater than 0.",
    "request_id": "req-123"
  }
}